package adminagentservice

import (
	"context"

	"git.gocasts.ir/ebhomengo/niki/entity"
)

type Repository interface {
	AgentExistByID(ctx context.Context, agentID uint) (bool, error)
	GetAllAgent(ctx context.Context) ([]entity.Admin, error)
}
type Service struct {
	repo Repository
}

func New(repo Repository) Service {
	return Service{repo: repo}
}
